Bug 23632 - Remove C4::Logs::GetLogs
Summary: Remove C4::Logs::GetLogs
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 22363
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-18 05:16 UTC by Josef Moravec
Modified: 2020-09-09 05:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 23632: Remove C4::Logs::GetLogs (13.68 KB, patch)
2020-08-06 09:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23632: Remove C4::Logs::GetLogs (13.75 KB, patch)
2020-08-06 19:07 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 23632: Remove C4::Logs::GetLogs (13.80 KB, patch)
2020-08-13 14:06 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-09-18 05:16:00 UTC
GetLogs is not used anymore and should be removed
Comment 1 Jonathan Druart 2020-08-06 09:30:15 UTC
Created attachment 107871 [details] [review]
Bug 23632: Remove C4::Logs::GetLogs

Koha::ActionLogs->search must be used instead.
There is no call to this subroutine in our code, it should be removed.

Test plan:
Make sure the 3 test files still return green and that there is no more
occurrences of GetLogs in the codebase.
Comment 2 Josef Moravec 2020-08-06 19:07:32 UTC
Created attachment 107914 [details] [review]
Bug 23632: Remove C4::Logs::GetLogs

Koha::ActionLogs->search must be used instead.
There is no call to this subroutine in our code, it should be removed.

Test plan:
Make sure the 3 test files still return green and that there is no more
occurrences of GetLogs in the codebase.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Martin Renvoize 2020-08-13 14:06:03 UTC
Created attachment 108189 [details] [review]
Bug 23632: Remove C4::Logs::GetLogs

Koha::ActionLogs->search must be used instead.
There is no call to this subroutine in our code, it should be removed.

Test plan:
Make sure the 3 test files still return green and that there is no more
occurrences of GetLogs in the codebase.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-08-13 14:06:41 UTC
No brainer, no regressions found and passes QA scripts..

Passing QA
Comment 5 Jonathan Druart 2020-08-18 15:46:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-09-04 14:44:21 UTC
backported to 20.05.x for 20.05.04
Comment 7 Aleisha Amohia 2020-09-09 05:00:16 UTC
enhancement, not backported to 19.11.x